---
title: Platform Onboarding
---

This page guides you through creating an account in the SELF marketplace.

1. Navigate to the [SELF Marketplace](VAR::MARKETPLACE_URL) and click **Signup**.

    ![SELF Marketplace Signin Page](../files/marketplace-login.png)

1. Provide your email address and set a password, then click **CREATE**.

1. Check your email and copy the verification code, then click **VERIFY**.

1. Enter Details about your platform. Note that the URL value must match the domain where SELF login will be processed:

    ![SELF Marketplace Platform Details page](../files/marketplace-platformDetails.png)

1. Next, the SELF marketplace ask if you want to generate a new mnemonic or use an existing one. If you already have a funded mnemonic, you can enter it here.

1. On the next page, you're asked to choose the atoms your platform requires from users to log in. For more details about this section, read [Required for Login](requiredForLogin.md). Once you've set up your required atoms, click **UPDATE**.

1. SELF will now register you on the Bitcoin blockchain. Once complete, you'll see your Transaction ID on screen. Copy all the keys from the web UI & keep them safe:
    - Public Key,
    - Private Key,
    - Public Key Hex,
    - Private Key Hex,
    - Transaction ID

    Once you've saved your keys securely, click **NEXT**.

1. After the transaction you will have to wait for about 15 minutes approximately until your transaction is confirmed on the chain and then finally you will have your DID address, which you should be able to see in settings.

1. From the upper-right menu, click **API Access token**. Provide a token label and click **ADD TOKEN**:

    ![SELF Marketplace API tokens](../files/api-token.png)

    Save the generated API token securely. It will not be visible again once you leave the page.

1. If your platform will provide new atoms to users' genomes, click **Set Available Molecules** from the upper-right menu to define them. For more details, see [Define Your Atoms](defineAtoms.md).

1. Next, you can optionally update payment from **Update Payment** menu option. Here you can add the BTC amount you are willing to pay to each user who logs in to your website.

    <!--
    Editor's note: This appears to reference a non-existant guide.
    1. Go through the `Platform Integration Guide` to get familiar with integration process.
    -->
1. You can now use backend documentation from [Backend code (Node.js)](self-backend.md) to implement SELF login flow using `Login with your SELF` or `Connect with your SELF` button.
